LIBKECCAK_ZEROCOPY_CHUNKSIZE(3)

NAME
libkeccak_zerocopy_chunksize - Get chunk size for zero-copy processing (ADVANCED)

SYNOPSIS
#include <libkeccak.h>
size_t libkeccak_zerocopy_chunksize(struct libkeccak_state *state);

Link with -lkeccak.

DESCRIPTION
The libkeccak_zerocopy_chunksize() function returns the number of bytes the sponge in the state parameter processes per round. Input to the libkeccak_zerocopy_update(3) function must be an integer multiple of this number, and memory allocated for the libkeccak_zerocopy_digest(3) function must also be a multiple of this number (further restrictions apply, see libkeccak_zerocopy_digest(3) for more details.)

RETURN VALUES
The libkeccak_zerocopy_chunksize() function returns the number of bytes that the sponge processes per processing round.

ERRORS
The libkeccak_zerocopy_chunksize() function cannot fail.

SEE ALSO
libkeccak_zerocopy_update(3), libkeccak_zerocopy_digest(3)